### org.jfree.layouting.renderer.process.layoutrules

# Class InlineNodeSequenceElement

- `java.lang.Object`
- - `org.jfree.layouting.renderer.process.layoutrules.InlineNodeSequenceElement`

Implemented Interfaces:
  InlineSequenceElement

Known Direct Subclasses:
  InlineBoxSequenceElement

`public class InlineNodeSequenceElement`
`extends java.lang.Object`
`implements InlineSequenceElement`

Anthing that is not text. This could be an image or an inline-block element. For now, we assume that these beasts are not breakable at the end of the line (outer linebreaks).

Author:
  Thomas Morgner

  ## Constructor Summary

  `InlineNodeSequenceElement(RenderNode node)`

  ## Method Summary

  `long`

  `getMaximumWidth()`
    The extra-space width for an element.

  `long`

  `getMinimumWidth()`
    The width of the element.

  `RenderNode`

  `getNode()`

  `boolean`

  `isPreserveWhitespace()`

## Constructor Details

### InlineNodeSequenceElement

    public InlineNodeSequenceElement(RenderNode node)

## Method Details

### getMaximumWidth

    public long getMaximumWidth()

> The extra-space width for an element. Some elements can expand to fill some more space (justified text is a good example, adding some space between the letters of each word to reduce the inner-word spacing).
> Specified by:
>   getMaximumWidth in interface InlineSequenceElement
> Returns:

### getMinimumWidth

    public long getMinimumWidth()

> The width of the element. This is the minimum width of the element.
> Specified by:
>   getMinimumWidth in interface InlineSequenceElement
> Returns:

### getNode

    public RenderNode getNode()

> Specified by:
>   getNode in interface InlineSequenceElement

### isPreserveWhitespace

    public boolean isPreserveWhitespace()

> Specified by:
>   isPreserveWhitespace in interface InlineSequenceElement